Proxmark3 developers community

Research, development and trades concerning the powerful Proxmark3 device.

Remember; sharing is caring. Bring something back to the community.


"Learn the tools of the trade the hard way." +Fravia

You are not logged in.

#1 2017-04-23 20:31:19

ntk
Contributor
Registered: 2015-05-24
Posts: 701

[solved] Gator96100 upgradded proxspace and official rel V2.3.0

I have checkout latest SW on Marshmellow forck to test new commands but face with this strange fault:

g++ -MT obj/proxgui.o -MMD -MP -MF obj/proxgui.Td -std=c++11 -fPIC -Wall -O3 -I/c/MingW/Qt/include -
I/c/MingW/Qt/include/QtCore -I/c/MingW/Qt/include/QtGui -c -o obj/proxgui.o proxgui.cpp
proxgui.cpp:1:0: warning: -fPIC ignored for target (all code is position independent) [enabled by de
fault]
In file included from c:/MingW/Qt/include/QtCore/QtCore:43:0,
                 from c:/MingW/Qt/include/QtGui/QtGui:3,
                 from proxguiqt.h:19,
                 from proxgui.cpp:12:
c:/MingW/Qt/include/QtCore/qxmlstream.h:1:46: fatal error: ../../src/corelib/xml/qxmlstream.h: No su
ch file or directory
compilation terminated.
make[1]: *** [obj/proxgui.o] Error 1

something new is added manually/hadcoded to the Qt directory? there is no src/corelib/xml/.... previously

Failure to compile proxgui.c aso in main SW

Compile iceman fork alright,
I went back to a SW I have from last year (I mostly use Marshmellow because of interest in LF) and build without problem too.

so the fault is not in my environment

fault look for a missing files in the Qr/src/corlib/ the change in Qt/src/ directory can not be too old

Last edited by ntk (2017-04-27 02:27:52)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#2 2017-04-24 03:56:15

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

what qt version?  it looks like it isn't compatible with the new qt functions.  is it the old proxspace environment?  same error as master repo?

Offline

#3 2017-04-24 10:01:47

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

Thanks for quick answer Marshmellow.

Yes.  same error as master repo.

I use the old MinGW environment. Haven't changed anything recently in compile environment. I did compile about 2 months ago and did pick up change with new HItag2 read command. Also it works on iceman fork.

The compiler found "c:/MingW/Qt/include/QtCore/qxmlstream.h:1:46: fatal error: ../../src/corelib/xml/qxmlstream.h" then go back some directory looking for the same file qxmlstream.h again, because content of c:/MingW/Qt/include/QtCore/qxmlstream.h is only one  line
"#include "../../src/corelib/xml/qxmlstream.h"

which means  it expects this directory c:/MingW/Qt/src/corelib/xml.

But this sub-directory is newly created. In conventional MinGW env there are sub dirs arch, global, io, kernel, threads and tools.

NO xml and some others...

Last edited by ntk (2017-04-24 10:13:15)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#4 2017-04-24 10:25:34

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

we should WARN ppl. not doing update with MM42 or main SW repo. Any user run "make clean" wont be able to use proxmark Gaucho's client any more.

I got one zip download from Dec last year

... Oh well maybe they can use precompiled or iceman.


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#5 2017-04-24 11:42:50

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

The proxspace environment is not a complete environment so it is inevitable that as new code is added new dependencies will be needed to be added to it.

I suggest you work on 3 things.
1. learn what git is for (it will help you get around your problem)
2. build a more up to date environment.
3. Patience. (Some may decide to update the proxspace environment)

Offline

#6 2017-04-24 14:31:36

iceman
Administrator
Registered: 2013-04-25
Posts: 6,270
Website

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

its not a new thing that the old settings.xml file for Gaucho's GUI not to work anymore on either PM3 master, Marshmellow42 master, iceman master or any other repo with applied updates since  Aspers v.2.5.0 bin distro.

hence you need to update the settings.xml file yourself if you insists of using the GUI.   As it is now, noone is maintaining settings.xml / GUI


If you feel the love,  https://www.patreon.com/iceman1001

modhex(hkhehghthbhudcfcdchkigiehgduiehg)

Offline

#7 2017-04-24 14:37:14

piwi
Contributor
Registered: 2013-06-04
Posts: 702

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

Gaucho's windows GUI client has nothing to do with proxspace.

Proxspace is a build environment consisting of a unix like environment (mingw/msys), gcc compilers (both native and ARM) and Qt. Although those components are quite old, it only lacks a uic.exe to build even the most current commits.

Gaucho's windows GUI is an add on to both official and Iceman's repository. It needs to be adapted for every change in command syntax - and there had been a lot of them in both official and Iceman repository.

Offline

#8 2017-04-24 14:59:19

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

I use this MinGW environment to build main SW, your fork and iceman's version without issue until 2months ago.

I don't recall Is there a recent announcement that MinGW is outdated and need update or replace Marshmellow. Apart from GCC need to be later version than 4.7 to compile some crypto sources in iceman fork.

 The proxspace environment is not a complete environment so it is inevitable that as new code is added new dependencies will be needed to be added to it. 

Sorry to appear impatient I only try to stop some else perhaps new users ran into the same mistake like me.

you can use git clone to desktop or you can download the zip then compile. I try both methods, I tried then older version before I sound the alarm that the build is broken. Not everyone keep an old source code zip file...

Apropos Git has no label system, is it possible to checkout a build say only 2 week older, then the current latest SW, I don't know that is possible, Marshmellow.

Take your time Marshmellow. We can only thank you, and many more leadign members for many improvements in the SW, being vigilant we hope to feed back to community, early warn when somewhere is broken such as bringing something back to the community too.

For the same purpose last year I worked on this idea to be vigilant with the least effort, not only in recompiling, but also regarding content. But the result was not that good as I thought, so I drop. not worth releasing.
  Birth of a regression test tool for LF....


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#9 2017-04-24 16:14:44

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

MinGW has little to do with my statements.  and you never did identify your Qt Version.  if you can compile iceman's fork then you aren't using the original proxspace environment.  it looks like something else is wrong with your Qt environment.

also, as with any opensource software if you pull the latest source and not a release then there may be some undocumented items that go along with it (despite our best efforts) (bugs, fixes, new stuff, broken old stuff...).  Please learn how to use git to pull what you want.

Offline

#10 2017-04-24 18:13:56

piwi
Contributor
Registered: 2013-06-04
Posts: 702

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

ntk wrote:

I use this MinGW environment

Which MinGW environment? Do you use the original ProxSpace? Which Qt and from where did you get it? Which source fork/release/commit are you trying to build?

ntk wrote:

something new is added manually/hadcoded to the Qt directory? there is no src/corelib/xml/.... previously

The Qt directory doesn't come from github. This is part of your build environment and therefore could only be installed/changed by you.

Offline

#11 2017-04-24 19:14:24

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

@Piwi

I use this MingGW (MinGW-proxmark.zip   Proxmark3 compile environment for Windows (v1.0.1)) from google code archive, introduced by Rule.  Thank you.

 
2013-03-03 08:37:02

rule
    Administrator
    Registered: 2008-05-21
    Posts: 416

Re: Help compiling windows client

Good to hear everything works Asper, thank you very much for testing.

I figured out why the OS/Bootrom version info is not available if you compile in Windows. The info is embedded into the firmware by a PERL script. If you don't have PERL installed, this simple fails to put any info in there.

The solution is simple, just install PERL (For windows). You can download a (32- or 64-bit) binary installation package from here:
http://strawberryperl.com/

I've updated the instructions that comes with the MinGW-proxmark.zip download, so that uses can prepare them self better before compiling on Windows.

If you want, you can make a complete windows binary snapshot package (32-bit and 64-bit version?) with all the executables, libraries, compiled os/fpga/bootrom and other necessary files (including maybe flasher_old.exe). I can put it as download in the Proxmark SVN, so Windows-users could migrate easier. At least, it is not so hard to build from scratch now in Windows, but as you know, Windows-users are much more familiar depended on binary releases wink

I think in my environment are
QT version is 4.8.1
Gcc 4.7.1
Perl 5.0
I follow jules instruction and have that MinGW since I started PM3, also I did a clone of main SW repo and Marshmellow42 and recompile in Feb 2017. compile without err.

I have on my machine mostly main SW repo, or Marshmellow sw, because I am lazy with typing and my interest is in LF.

I started also to use command prompt  and compile iceman's SW, just to learn darkside, nested hardnested attack, and also since iceman worked out some interesting LF stuff Lf like AWID 50-bit, Wiegand bit map etc last year.

Last edited by ntk (2017-04-24 19:29:18)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#12 2017-04-24 19:28:53

gator96100
Contributor
From: Austria
Registered: 2016-03-25
Posts: 145

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

I recommend you try my updated Proxspace environment .


modhex(hligicighgidilhkfchihtijduhbif)

Offline

#13 2017-04-24 19:34:22

iceman
Administrator
Registered: 2013-04-25
Posts: 6,270
Website

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

@gator96100,   would you mind sending a zipfile of your updated proxspace env to me?


If you feel the love,  https://www.patreon.com/iceman1001

modhex(hkhehghthbhudcfcdchkigiehgduiehg)

Offline

#14 2017-04-24 19:41:03

gator96100
Contributor
From: Austria
Registered: 2016-03-25
Posts: 145

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

You can download the zip file directly from github https://github.com/Gator96100/ProxSpace … master.zip
Or the same setup that I use to build my precompiled builds,  https://github.com/Gator96100/ProxSpace … oBuild.zip

Last edited by gator96100 (2017-04-24 19:53:03)


modhex(hligicighgidilhkfchihtijduhbif)

Offline

#15 2017-04-24 19:41:06

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

hmm... strange the quote you showed indicated http://www.proxmark.org/forum/viewtopic.php?id=1546 topic, and indicates the proxspace environment, but you must have upgraded it or replaced it as the proxspace is qt 4.6.2 and gcc 4.4.0, and cannot compile iceman's fork.

the reason I am digging is your error cannot be reproduced.  (we have other issues related to the proxspace environment that are being worked out that looked similar to yours but your error is different.)

so version information is critical.

Offline

#16 2017-04-24 19:42:02

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

Thanks, I will try Gator96100.


the fault with -march=native you have found and corrected and now the client run stable with Marshmellow (and also main SW repo) and also iceman too? I do read and follow the progress of your windows precompiled fullimage, although I dont use it.

EDIT
But I know it is very useful for new users starting to sniff what is all the fuss about PM3

Last edited by ntk (2017-04-24 20:16:55)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#17 2017-04-24 19:49:20

gator96100
Contributor
From: Austria
Registered: 2016-03-25
Posts: 145

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

ntk wrote:

Thanks, I will try Gator96100.


the fault with -march=native you have found and corrected and now the client run stable with Marshmellow (and also main SW repo) and also iceman too? I do read and follow the progress of your windows precompiled fullimage, although I dont use it.

Correct, -march=native did cause problems for people downloading my precompiled builds. I did test the main and iceman builds on 3 different systems to ensure they work. I did not test the Marshmellows repo, but because it is pretty similar the the main repo I am sure it will work too.

Last edited by gator96100 (2017-04-24 19:50:21)


modhex(hligicighgidilhkfchihtijduhbif)

Offline

#18 2017-04-24 19:54:37

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

unless i'm actively working on something, the master branch on my fork is equal to the master repo. so gator is correct.  and unless you want to test something i'm working on that hasn't yet been pulled into the master, i suggest using the master repo.

Offline

#19 2017-04-24 20:21:01

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

Thank you all I will try the proxspace env setup soon.


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#20 2017-04-24 20:30:08

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

ntk wrote:

Thank you all I will try the proxspace env setup soon.

i assume you mean gator's version..

Offline

#21 2017-04-24 21:02:23

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

yes when I am home I will try the one Gator keep in github, he mentioned in post #14, Marshmellow.


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#22 2017-04-25 02:43:11

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

my system is window7 home premium, 64-bit, sp1
I use proxspace from githib/gator96100/
have c:/proxspace
run batch file
compile MM42 no issue
compile main SW repo no issue
compile iceman no issue
apart from build changes connection to new COM PORT
run proxmark3.exe, all versions failed, proxmark tool calls proxmark.exe which complains:  The program can't start because libwinpthread-1.dll is missing from your computer.

https://www.dropbox.com/sh/l13tht26y5w5ew2/AABf2smdvbqhU6DkoJoXjzVda?dl=0
search for libwinpthread-1.dll exist more then 6times on my  system?

Last edited by ntk (2017-04-25 02:45:37)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#23 2017-04-25 02:45:59

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

You can't just copy the proxmarkgui exe file as it has dependencies that you must copy as well.

Offline

#24 2017-04-25 09:29:26

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

it seems something on one system,  apart from Unix/Windows/Mac Os and 32 or 64-bit, is different then other computer system which causes this strange behaviour.

I know I previously can following forum discussion and test out latest fork from contributor, suddenly I can not any more and have to use windows pre-compiled build or condamned to use official, with tag release only

I recall in Unix when you ran an application you could call a command to check link dependencies, so that you can list up even half a page version number of all components an application would dependent on to run stablely or  when you remotely try to trace a fault you could compare the fine differences between systems.

We need something like that here

I recall: It is not true that I haven't changed anything to my MinGW setup since I started PM3. Compare to what I have originally when starting PM3, last year I did change the environment from windows XP to window7 due to a HW failure, then upgrade some fundamental window library components to use certain different SW I have not got on this system, recently I did upgrade from Window7 home premium basic to Window7 SP1 too.#, etc. It is only luck that I have not faced compiling issue sooner.

Thank you to all your help.

EDIT:
speak, think, search and found https://www.dropbox.com/s/7ogccoza5msa0to/dependency%20walker.png?dl=0

But now I am sinking way over my head in this honey pot ...

Last edited by ntk (2017-04-25 09:54:18)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#25 2017-04-25 12:00:23

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,300

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

Ok, so I think I can boil that large garbage down to:

"I still can't get the GUI to work"

Right?

Offline

#26 2017-04-25 12:37:15

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

Nop Sir,
Something horrible new has give my proxmark build cardiac arrest.

still error 07
The program can't start because libwinpthread-1.dll is missing from your computer.
I even copy the libwinpthread-1.dll thing in the same directory where proxmark.exe is, no change

Still not working, Marshmellow.

well I can still dig out older SW. I luckily keep an older proxmark-master-ice.zip , proxmark-master-MM42.zip, every few months, they work with the MinGW environment I still have intact.

Last edited by ntk (2017-04-25 13:04:34)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#27 2017-04-25 13:50:00

piwi
Contributor
Registered: 2013-06-04
Posts: 702

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

It is still not clear if you have problems starting proxmark3.exe or Gaucho's GUI. Let's put Gaucho's GUI aside for the time being. And please select a single combination of build environment and source to concentrate on. Could you then please post

  • which environment you are using to build the executable (ProxSpace? Which version?)

  • which source you are compiling. Official, Marshmellow, Iceman, which release/commit?

  • Any warnings during compilation or linking?

  • Or do you use a precompiled binary? If yes, which?

  • The command you are typing to start the application

  • The result you get

Offline

#28 2017-04-25 17:33:55

gator96100
Contributor
From: Austria
Registered: 2016-03-25
Posts: 145

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

When you want to run the client outside the proxspace env you need to copy some libraries in the same folder as the proxmark3.exe. Have a look at my precompiled builds to see what libraries are required (libwinpthread-1.dll is not the only libary that is required).

Last edited by gator96100 (2017-04-25 17:52:40)


modhex(hligicighgidilhkfchihtijduhbif)

Offline

#29 2017-04-25 20:42:15

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

1/ I take a clone from https://github.com/Gator96100/ProxSpace
2/ expand that in c:/proxspace
3/ I checkout release proxmark3 v2.3.0, extract to c:/pm230
4/ Now I start compiling process. I runs C:\proxspace\msys\msys.bat
5/ at the MinGW command prompt I do "cd c:/pm230"
6/ run "make clean all flash-all"
7/ finish with compiling, no error. image flashed.
8/ I  do cd client
9/ in c:/pm230/client I run "proxmark3 com4"
after doing "lf se" on a tag or just start proxmark3.exe
then proxmark3 crashed.
10/I collect the 2 files from C:\Users\user\AppData\Local\Temp\, windows usually sends 3 files when an app crashed. system file, compat file and dump file to Microsoft. I drop the dump file and compress the 2 traces to temp.zip. You can see system and component compat version.

https://www.dropbox.com/s/m8sidnstcwsaxal/Temp.zip?dl=0


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#30 2017-04-25 21:32:48

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

@piwi, @gator96100, sorry my late reply. My PC is slow took me over one hour to download the files over mobile data and re-build.

In step 4 to 9 I run "proxmark3.exe com4" from inside the proxspace.
I also just in case download pre-build from 24/4 and leave  inside the c:/pm230 and recompile again.
win32
firmware_win
windows driver

But they should not have affect on proxmark3.exe. makefile determine what proxmark3.exe is.  If dependent on those extra files, Proxmark3.exe would fail to be built if those files are missing while compiling or linking process.

After re-build I ran exactly step4 to 9 and it crashes too.

Last edited by ntk (2017-04-25 21:37:20)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#31 2017-04-25 22:37:56

gator96100
Contributor
From: Austria
Registered: 2016-03-25
Posts: 145

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

The 2.3.0 release is over 1 year old, please download the latest version directly from the proxmark repository.
This should help:
https://www.youtube.com/watch?v=I4N3fq87lAk


modhex(hligicighgidilhkfchihtijduhbif)

Offline

#32 2017-04-26 06:38:59

piwi
Contributor
Registered: 2013-06-04
Posts: 702

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

ntk wrote:

6/ run "make clean all flash-all"
7/ finish with compiling, no error. image flashed.

Hard to believe. make flash-all would try to flash to /dev/ttyACM0 which should definitely fail on windows. Please check again.

ntk wrote:

9/ in c:/pm230/client I run "proxmark3 com4"
after doing "lf se" on a tag or just start proxmark3.exe
then proxmark3 crashed.

which of the two is true? I am still missing the output of your commands. Please paste the terminal window contents here.

Last edited by piwi (2017-04-26 07:01:31)

Offline

#33 2017-04-26 14:49:18

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

@piwi sorry for my late reply.
slow PC and not great mobile data, it took me hour to compile this response.

piwi wrote:
ntk wrote:

6/ run "make clean all flash-all"
7/ finish with compiling, no error. image flashed.

Hard to believe. make flash-all would try to flash to /dev/ttyACM0 which should definitely fail on windows. Please check again.

ntk wrote:

Oh that modification to COM4 in makefile step I did when install driver. Get the COM4. I don't need to write down every time. if compile with new SW I go there change to COM4. 

9/ in c:/pm230/client I run "proxmark3 com4"
after doing "lf se" on a tag or just start proxmark3.exe
then proxmark3 crashed.

which of the two is true? I am still missing the output of your commands. Please paste the terminal window contents here.


I feel honored and appreciated very much that you look in to this failure, but your time is much too valuable for this fault.

I still have old working code, compiled code some of you wont believe me but I do have, pls just see below.
Older SW version

Even when we at proxmark have no labeling system for unit test, initial test, pre-release test, release test...because we call it open source code. 

I used to know a company with more then 10 groups of SW engineers, and total of over 150 engineers using PVCS, working on layers, once *(even twice in duration of 2 yrs) twice they had to revers the Sw engineering for 3wks 4 wks due to heavy instability in the embedded SW release, it shocked every one by gridlock, debugging not fast enough, that decision must be made high up. "Drop it, going back to the most stabile release, and try to catch up", because some engineers hide instabile SW, still labeling, ignore group test result and push it on PVCS, where test engineer knew but not encouraged to give early warning. By your programing quality I knew you work on SW, you can guess financial loss, and mile stone achievement, motivation drop by such a large group must be also when politic was in the game. Only because people are scared to be critical by wing/group politician.

Here is apropos the logs and pics  of  Appcrash  SW release V2.3.0 compile err free with upgradded proxspace

the appcrash temp.zip file


screenshot of app crash imm. after build


and rebuild flash log & first commadnd log file

Again, I feel honored and appreciated very much that you look in to this failure, but your time is much too valuable for this fault.

EDIT:
Dear all leading Proxmark SW creators

With the latest top of the release tree I only wanted to sound an early warning shot, that something has broken the build with official release and on top tree in the compiling of hitag2 src

I still have working code and I am still using iceman latest version for testing and I am still using PM GUI, because I am lazy while testing.

Yesterday I just find a new lf bug. repeatedly reproducible bug, it would be nice to confirm it is still in the top of tree SW. I like to have the latest top of release tree for that purpose, but I am neither dependent on nor desperate for it. My hunch is that bug is still in the lf SW part.

Last edited by ntk (2017-04-26 16:57:38)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

#34 2017-04-26 16:47:06

gator96100
Contributor
From: Austria
Registered: 2016-03-25
Posts: 145

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

If you would have watched my video I made for you, you would know why it crashes. The client even prints the error:

This application failed to start because it could not find or load the Qt platform plugin "windows"
in "".

modhex(hligicighgidilhkfchihtijduhbif)

Offline

#35 2017-04-27 02:18:16

ntk
Contributor
Registered: 2015-05-24
Posts: 701

Re: [solved] Gator96100 upgradded proxspace and official rel V2.3.0

you are very right Gator9610, I should have seen your video you sent yesterday. I missed the hint to add all the extra files for proxmark3.exe so it can run.

thank you all a million times.

Last edited by ntk (2017-04-27 02:18:44)


modhex(ichbifhkhghuhehghkiehbihhkidifighgebecedfchihthbhkhrduhehvht)

Offline

Board footer

Powered by FluxBB